/*
 *  linux/include/linux/beos_fs_i.h
 *
 * Copyright (C) 1999  Makoto Kato (m_kato@ga2.so-net.ne.jp)
 *
 *  from
 *
 *  linux/include/linux/ex2_fs_i.h
 */

#ifndef _LINUX_BEOS_FS_I_
#define _LINUX_BEOS_FS_I_

#include <linux/beos_fs.h>

struct beos_inode_info {
	beos_inode_addr	i_inode_num;
	__u32	i_uid;
	__u32	i_gid;
	__u32	i_mode;
	__u32	i_flags;

	beos_bigtime_t	i_create_time;
	beos_bigtime_t	i_last_modified_time;

	beos_inode_addr	i_parent;
	beos_inode_addr	i_attribute;

	__u32	i_type;

	union {
		beos_data_stream ds;
		char            symlink[BEOS_SYMLINK_LEN];
	} i_data;
};

#endif /* _LINUX_BEOS_FS_I_ */
