/*
 *  linux/include/linux/beos_fs_sb.h
 *
 * Copyright (C) 1999  Makoto Kato (m_kato@ga2.so-net.ne.jp)
 */

#ifndef _LINUX_BEOS_FS_SB
#define _LINUX_BEOS_FS_SB

#include <linux/types.h>
#include <linux/beos_fs.h>


struct beos_sb_info {
	__u32		block_size;
	__u32		block_shift;
	beos_off_t	num_blocks;
	beos_off_t	used_blocks;
	__u32		inode_size;

	/*
	 * Allocation group information
	 */

	__u32	blocks_per_ag;
	__u32	ag_shift;
	__u32	num_ags;

	/*
	 * jornal log entry
	 */

	beos_block_run log_blocks;
	beos_off_t log_start;
	beos_off_t log_end;

	beos_inode_addr root_dir;
	beos_inode_addr indices;

	beos_mount_options mount_opts;

	struct nls_table * nls;
};
#endif
